<template>
  <div class="resource">
      <div class="zy-head-search">
        <span>物品类别</span>
        <el-select v-model="search.stuffTypeCode" :disabled="true" clearable filterable collapse-tags size="small" style="width:200px;margin-right: 10px;" placeholder="请选择物品类别">
          <el-option
            v-for="(item,index) in stuffTypeNameList"
            :key="index"
            :label="item.baseName"
            :value="item.baseCode">
          </el-option>
        </el-select>
        <span>物品名称</span>
        <el-input v-model="search.stuffName" size="small" placeholder="请输入物品名称" style="width: 200px"></el-input>
        <span>配制日期</span>
        <el-date-picker
          v-model="search.times"
          type="datetimerange"
          range-separator="至"
          start-placeholder="开始日期"
          end-placeholder="结束日期"
          size="small"
          style="width: 350px"
          value-format="yyyy-MM-dd HH:mm:ss"
        >
        </el-date-picker>
        <el-button icon="el-icon-search" type="goon" size="mini" @click="searchData">查询</el-button>
        <el-button icon="el-icon-refresh" type="info" plain size="mini" @click="reset">重置</el-button>
    </div>
    <!-- 物品信息表表头 -->
    <el-row>
      <el-col :span="10">
        <div class="zy-title-div" style="margin-top: 30px;">
          <div class="zy-title-name" style="margin-right: 3px">
            <img style="width: 25px; height: 25px" src='../../../../assets/img/imgScreen/logo.png' />
            标准溶液表
          </div>
          <div>
            <el-button icon="el-icon-circle-plus-outline" type="goon" size="mini" @click="addData">新增</el-button>
            <el-button icon="el-icon-edit" type="goon" size="mini" @click="modifyData">修改</el-button>
            <!-- <el-button icon="el-icon-check" type="goon" size="mini" :loading="batchDataLoading" @click="batchData">批量录入</el-button> -->
            <el-button icon="el-icon-circle-close" type="danger" size="mini" @click="deleteData1">停用</el-button>
            <el-button icon="el-icon-check" type="goon" size="mini" @click="recoverData1">启用</el-button>
            <!-- <el-button icon="el-icon-circle-plus-outline" type="goon" size="mini" :loading="auditLoading" @click="audit">提交</el-button>
            <el-button icon="el-icon-circle-plus-outline" type="danger" size="mini" :loading="cancelAuditLoading" @click="cencelAudit">撤销提交</el-button> -->
          </div>
        </div>
        <!-- 物品信息表表格 -->
        <div class="common-table-div" style="margin-bottom:0;margin-top:0">
          <el-table
            v-loading="dataLoading1" ref="dataTable" border :height="height_top"
            highlight-current-row
            :data="table.list1"
            :icore-filter-flag="icoreFilterFlag"
            :header-cell-style="tableHeaderCellStyle"
            @row-click="getAllListByEmpNo"
            @selection-change="selectRowChange"
            :cell-class-name="tableRowClassName">
            <el-table-column type="index" label="NO" fixed="left" align="center"></el-table-column>
            <el-table-column type="selection" width="50" align="center"></el-table-column>
            <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" label="数据状态" align="center">
              <template slot-scope="scope">
                <span v-if="scope.row.unitPrice == 0">已停用</span>
                <span v-if="scope.row.unitPrice == 1">有效</span>
              </template>
            </el-table-column>
            <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="stuffNoUser" label="溶液编号 " align="center"></el-table-column>
            <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="stuffName" label="溶液名称 " align="center"></el-table-column>
            <!-- <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="testItemName" label="标准液名称" align="center"></el-table-column> -->
            <el-table-column sortable :show-overflow-tooltip="true" min-width="70px" prop="stuffSpec" label="溶液溶度/单位" align="center"></el-table-column>
            <el-table-column sortable :show-overflow-tooltip="true" min-width="70px" prop="stkAlarm" label="库存数量" align="center"></el-table-column>
            <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="tenantNo" label="原因" align="center">
                <template slot-scope="{ row }">
                  <el-input
                    v-model="row.tenantNo"
                    @blur="saveCell"
                    @keyup.enter.native="saveCell"
                    size="small"
                    style="width: 100%"
                  ></el-input>
                </template>
            </el-table-column>
            <!-- <el-table-column sortable :show-overflow-tooltip="true" min-width="160px" prop="memo1" label="配制日期" align="center"></el-table-column> -->
            <el-table-column sortable :show-overflow-tooltip="true" min-width="160px" prop="memo3" label="有效日期" align="center"></el-table-column>

            <!-- <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="memo" label="备注" align="center"></el-table-column> -->
            <!-- <el-table-column sortable :show-overflow-tooltip="true" min-width="120px" prop="createMan" label="创建人"  align="center"></el-table-column>
            <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="createTime" label="创建时间"  align="center"></el-table-column>
            <el-table-column sortable :show-overflow-tooltip="true" min-width="120px" prop="updateMan" label="更新人"  align="center"></el-table-column>
            <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="updateTime" label="更新时间"  align="center"></el-table-column>
            <el-table-column sortable :show-overflow-tooltip="true" min-width="120px" prop="auditMan" label="提交人"  align="center"></el-table-column>
            <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="auditTime" label="提交时间"  align="center"></el-table-column> -->
          </el-table>
        </div>
        <div class="zy-foot-page">
          <el-pagination
            v-loading="dataLoading1"
            @size-change="pageSizeChange"
            @current-change="pageCurrentChange"
            :current-page="page.pageNum"
            :page-sizes="[10, 20, 50, 100, 200]"
            :page-size="page.pageSize"
            layout="total, sizes, prev, pager, next, jumper"
            :total="page.totalPage" background>
          </el-pagination>
        </div>
      </el-col>
      <el-col :span="14">
        <el-tabs
          type="border-card"
          v-model="activeName"
          class="testManagement_left"
        >
        <el-tab-pane label="待检验" name="first">
          <div class="zy-title-div" style="margin-top: 30px;">
            <div class="zy-title-name" style="margin-right: 3px">
              <img style="width: 25px; height: 25px" src='../../../../assets/img/imgScreen/logo.png' />
              标准溶液库存表
            </div>
            <div>
              <!-- <el-button icon="el-icon-circle-plus-outline" type="goon" size="mini" @click="addData">新增</el-button> -->
              <el-button icon="el-icon-edit" type="goon" size="mini" @click="modifyData1">新增任务</el-button>
              <el-button icon="el-icon-check" type="goon" size="mini" :loading="batchDataLoading" @click="batchData">批量录入</el-button>
              <el-button icon="el-icon-circle-close" type="danger" size="mini" @click="deleteData">停用</el-button>
              <!-- <el-button icon="el-icon-check" type="goon" size="mini" @click="recoverData">启用</el-button> -->
              <el-button icon="el-icon-circle-plus-outline" type="goon" size="mini" :loading="auditLoading" @click="audit">提交</el-button>
              <!-- <el-button icon="el-icon-circle-plus-outline" type="danger" size="mini" :loading="cancelAuditLoading" @click="cencelAudit">撤销提交</el-button> -->
            </div>
          </div>
          <!-- 物品信息表表格 -->
          <div class="common-table-div" style="margin-bottom:0;margin-top:0">
            <el-table
              v-loading="dataLoading" ref="dataTable" border :height="height_top"
              highlight-current-row
              :data="table.list"
              :icore-filter-flag="icoreFilterFlag"
              :header-cell-style="tableHeaderCellStyle"
              @row-click="getAllListByEmpNo"
              @cell-click='searchFollow'
              @selection-change="selectRowChange"
              :cell-class-name="tableRowClassName">
              <el-table-column type="index" label="NO" fixed="left" align="center"></el-table-column>
              <el-table-column type="selection" width="50" align="center"></el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" label="数据状态" align="center">
                <template slot-scope="scope">
                  <span v-if="scope.row.validFlag == 0">已停用</span>
                  <span v-else-if="scope.row.stateFlag == 0">未提交</span>
                  <span v-else-if="scope.row.stateFlag == 1">已提交</span>
                  <span v-else-if="scope.row.stateFlag == 2">已审核</span>
                </template>
              </el-table-column>
              <!-- <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="stuffNoUser" label="溶液编号 " align="center"></el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="stuffName" label="溶液名称 " align="center"></el-table-column> -->
              <el-table-column sortable :show-overflow-tooltip="true" min-width="180px" prop="testItemName" label="标准液名称" align="center"></el-table-column>
              <!-- <el-table-column sortable :show-overflow-tooltip="true" min-width="70px" prop="stuffSpec" label="溶液溶度/单位" align="center"></el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="70px" prop="stkAlarm" label="库存数量" align="center"></el-table-column> -->
              <el-table-column sortable :show-overflow-tooltip="true" min-width="160px" prop="memo1" label="配制日期" align="center"></el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="160px" prop="memo2" label="有效日期" align="center"></el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="memo" label="停用原因" align="center">
                <template slot-scope="{ row }">
                  <el-input
                    v-model="row.memo"
                    @blur="saveCell"
                    @keyup.enter.native="saveCell"
                    size="small"
                    style="width: 100%"
                  ></el-input>
                </template>
              </el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="120px" prop="createMan" label="配置人"  align="center"></el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="createTime" label="配置时间"  align="center"></el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="120px" prop="updateMan" label="标定人"  align="center"></el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="updateTime" label="标定时间"  align="center"></el-table-column>
              <!-- <el-table-column sortable :show-overflow-tooltip="true" min-width="120px" prop="auditMan" label="提交人"  align="center"></el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="auditTime" label="提交时间"  align="center"></el-table-column> -->
            </el-table>
          </div>
        </el-tab-pane>
        <el-tab-pane label="已提交" name="firstTi">
          <div class="zy-title-div" style="margin-top: 30px;">
            <div class="zy-title-name" style="margin-right: 3px">
              <img style="width: 25px; height: 25px" src='../../../../assets/img/imgScreen/logo.png' />
              标准溶液库存表
            </div>
            <div>
              <el-button icon="el-icon-circle-close" type="danger" size="mini" @click="deleteData">停用</el-button>
              <el-button icon="el-icon-circle-plus-outline" type="danger" size="mini" :loading="cancelAuditLoading" @click="cencelAudit">撤销提交</el-button>
            </div>
          </div>
          <!-- 物品信息表表格 -->
          <div class="common-table-div" style="margin-bottom:0;margin-top:0">
            <el-table
              v-loading="dataLoading" ref="dataTable" border :height="height_top"
              highlight-current-row
              :data="table.listTi"
              :icore-filter-flag="icoreFilterFlag"
              :header-cell-style="tableHeaderCellStyle"
              @row-click="getAllListByEmpNo"
              @cell-click='searchFollow'
              @selection-change="selectRowChange"
              :cell-class-name="tableRowClassName">
              <el-table-column type="index" label="NO" fixed="left" align="center"></el-table-column>
              <el-table-column type="selection" width="50" align="center"></el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" label="数据状态" align="center">
                <template slot-scope="scope">
                  <span v-if="scope.row.validFlag == 0">已停用</span>
                  <span v-else-if="scope.row.stateFlag == 0">未提交</span>
                  <span v-else-if="scope.row.stateFlag == 1">已提交</span>
                </template>
              </el-table-column>
              <!-- <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="stuffNoUser" label="溶液编号 " align="center"></el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="stuffName" label="溶液名称 " align="center"></el-table-column> -->
              <el-table-column sortable :show-overflow-tooltip="true" min-width="180px" prop="testItemName" label="标准液名称" align="center"></el-table-column>
              <!-- <el-table-column sortable :show-overflow-tooltip="true" min-width="70px" prop="stuffSpec" label="溶液溶度/单位" align="center"></el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="70px" prop="stkAlarm" label="库存数量" align="center"></el-table-column> -->
              <el-table-column sortable :show-overflow-tooltip="true" min-width="160px" prop="memo1" label="配制日期" align="center"></el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="160px" prop="memo2" label="有效日期" align="center"></el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="memo" label="原因" align="center">
                <template slot-scope="{ row }">
                  <el-input
                    v-model="row.memo"
                    @blur="saveCell"
                    @keyup.enter.native="saveCell"
                    size="small"
                    style="width: 100%"
                  ></el-input>
                </template>
              </el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="120px" prop="createMan" label="配置人"  align="center"></el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="createTime" label="配置时间"  align="center"></el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="120px" prop="updateMan" label="标定人"  align="center"></el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="updateTime" label="标定时间"  align="center"></el-table-column>
              <!-- <el-table-column sortable :show-overflow-tooltip="true" min-width="120px" prop="auditMan" label="提交人"  align="center"></el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="auditTime" label="提交时间"  align="center"></el-table-column> -->
            </el-table>
          </div>
        </el-tab-pane>
        <el-tab-pane label="已停用" name="first1">
          <div class="zy-title-div" style="margin-top: 30px;">
            <div class="zy-title-name" style="margin-right: 3px">
              <img style="width: 25px; height: 25px" src='../../../../assets/img/imgScreen/logo.png' />
              标准溶液库存表
            </div>
            <div>
              <el-button icon="el-icon-check" type="goon" size="mini" @click="recoverData">启用</el-button>
            </div>
          </div>
          <!-- 物品信息表表格 -->
          <div class="common-table-div" style="margin-bottom:0;margin-top:0">
            <el-table
              v-loading="dataLoading" ref="dataTable" border :height="height_top"
              highlight-current-row
              :data="table.tableData2"
              :icore-filter-flag="icoreFilterFlag"
              :header-cell-style="tableHeaderCellStyle"
              @row-click="getAllListByEmpNo"
              @cell-click='searchFollow'
              @selection-change="selectRowChange"
              :cell-class-name="tableRowClassName">
              <el-table-column type="index" label="NO" fixed="left" align="center"></el-table-column>
              <el-table-column type="selection" width="50" align="center"></el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" label="数据状态" align="center">
                <template slot-scope="scope">
                  <span v-if="scope.row.validFlag == 0">已停用</span>
                  <span v-else-if="scope.row.stateFlag == 0">未提交</span>
                  <span v-else-if="scope.row.stateFlag == 1">已提交</span>
                </template>
              </el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="180px" prop="testItemName" label="标准液名称" align="center"></el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="160px" prop="memo1" label="配制日期" align="center"></el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="160px" prop="memo2" label="有效日期" align="center"></el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="100px" prop="memo" label="原因" align="center">
                <template slot-scope="{ row }">
                  <el-input
                    v-model="row.memo"
                    @blur="saveCell"
                    @keyup.enter.native="saveCell"
                    size="small"
                    style="width: 100%"
                  ></el-input>
                </template>
              </el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="120px" prop="createMan" label="配置人"  align="center"></el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="createTime" label="配置时间"  align="center"></el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="120px" prop="updateMan" label="标定人"  align="center"></el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="updateTime" label="标定时间"  align="center"></el-table-column>
              <!-- <el-table-column sortable :show-overflow-tooltip="true" min-width="120px" prop="auditMan" label="提交人"  align="center"></el-table-column>
              <el-table-column sortable :show-overflow-tooltip="true" min-width="140px" prop="auditTime" label="提交时间"  align="center"></el-table-column> -->
            </el-table>
          </div>
        </el-tab-pane>
        </el-tabs>
      </el-col>
    </el-row>
    <!-- 批量录入 -->
    <el-dialog
      class="testManagement-pllr"
      :close-on-click-modal="false"
      @close="closebatch"
      width="100%"
      :visible.sync="batchShow"
      top="0"
    >
      <div slot="title" class="titleBox">
        <div>
          <i class="el-icon-document" style="font-size: 20px"></i>
          <span style="margin-left: 10px; font-size: 16px">批量录入</span>
        </div>
      </div>
      <div style="font-size:18px; font-weight:bold; text-align:center; margin-bottom:10px;">
        标准溶液标定记录
      </div>
      <!-- <el-table
        ref="tablePllr"
        border
        :height="theight4"
        highlight-current-row
        :data="tableData"
        :header-cell-style="tableHeaderCellStyle"
      >
        <el-table-column type="index" label="NO" fixed="left" align="center">
          <template slot-scope="scope">
            <span>{{ scope.$index }}</span>
          </template>
        </el-table-column>
        <el-table-column sortable show-overflow-tooltip align="center" width="80" prop="STUFF_NO_USER" label="溶液编号" fixed="left"></el-table-column>
        <el-table-column sortable show-overflow-tooltip align="center" width="80" prop="STUFF_NAME" label="溶液名称" fixed="left"></el-table-column>
        <template v-for="col in cols">
          <el-table-column
            :prop="col.ANLY_ITEM_NO"
            show-overflow-tooltip
            min-width="90"
            align="center"
            :key="col.ANLY_ITEM_NO"
            :label="col.ANLY_ITEM_NAME">
            <template slot-scope="scope">
              <el-input size="mini" v-model="scope.row[col.ANLY_ITEM_NO]"
              @keydown.native="keyDown($event, scope.row, scope.$index)"
              :id="scope.column.id + '--' + scope.$index"></el-input>
            </template>
          </el-table-column>
        </template>
      </el-table> -->
      <alert-components2 :tableData="tableData"  :cols="cols" :theight4="theight4"
        @data-change="handleDataChange"></alert-components2>
      <span slot="footer" class="dialog-footer">
        <el-button type="goon" size="mini" icon="el-icon-check" :loading="batchLoading" @click="audit">提交</el-button>
        <el-button type="goon" size="mini" icon="el-icon-check" :loading="batchLoading" @click="baocun">保存</el-button>
        <el-button type="goon" size="mini" icon="el-icon-check" :loading="batchLoading" @click="jisuan">计算</el-button>
        <el-button type="goon" size="mini" icon="el-icon-remove-outline" @click="closebatch">取消</el-button>
      </span>
    </el-dialog>
    <div is="alertComponents" :showFlag="showFlag" :Params="Params" @refresh='refresh(1)'></div>
    <div is="alertComponents1" :showFlag1="showFlag1" :Params="Params" @refresh='refresh1(1)'></div>
  </div>
</template>
<script>
import {
  getCookie,
  formatDate
} from '@/utils/util.js';
import {
  cookieUserId,
  cookieUserName
} from '@/config/config.js';
import alertComponents from './alertComponents';
import alertComponents1 from './alertComponents1';
import alertComponents2 from './alertComponents2';
let userName = getCookie(cookieUserName);
let userId = getCookie(cookieUserId);
export default {
  components: {alertComponents,alertComponents1,alertComponents2},
  data () {
    return {
      batchDataLoading: false,
      theight4: 0,
      tableData: [],
      cols: [],
      batchShow: false,

      table: {
          list: [],
          list2: [],
          list3: [],
          list4: [],
          listTi:[],
          listLog:[],
          tableData2:[],
      },
      calculateLoading: false,
      deleteLoading: false,
      auditLoading: false,
      cancelAuditLoading: false,
      icoreFilterFlag: true,
      dataLoading: false,
      dataLoading1: false,
      dataLoading2: false,
      dataLoading3: false,
      dataLoading4: false,
      dataLoadingLog: false,
      stuffTypeNameList: [],
      multipleSelection: [],
      selectRowChangeList: [],
      saveRow:{},
      selectRow2s: [],
      selectRow3s: [],
      selectRow4s: [],
      tableList: {},
      page: {
        pageSize: 50,
        pageNum: 1,
        totalPage: 0
      },
      showFlag: false,
      showFlag1: false,
      Params: {},
      stuffNo: '',
      stuffNoUser: '',
      search: {
        stuffName: '',
        stuffNoUser: '',
        stuffTypeCode: '',
        times: []
      },
      height_top:0,
      height_bot:0,
      recallShow: false,
      optVal: 1,
      activeName: 'first',
    }
  },
  created() {
    this.height_top = window.innerHeight - 150;
    this.height_bot = window.innerHeight - 150;
    this.theight4 = window.innerHeight - 140 < 249 ? 249 : window.innerHeight - 140
    let timestamp =new Date().getTime() - (  7 * 24 * 60 * 60 * 1000) // 默认前一周
    this.search.times = [this.getYNM(new Date(timestamp)) + ' 00:00:00', this.getYNM(new Date()) + ' 23:59:59']
  },
  mounted () {
    this.axios.post('pass/baseManagement/v1/limsbaseinfos/queryBaseInfoByBaseCode',{validFlag:1,baseCode:4813}, {individualType: 'json'})
        .then(res => {
        this.stuffTypeNameList= res.data;
    })
    this.search.stuffTypeCode = '481311'
    this.searchData();
  },
  methods: {
    //数组对象去重
    noRepeatArrOfObj(arr, key) {
      const res = new Map()
      return arr.filter(
        (item) => !res.has(item[key]) && res.set(item[key], true)
      )
    },
    baocun(){
      if(this.cols.length < 1 || this.tableData.length < 1){
        this.$message.warning('保存没数据！')
        return
      }
      let temp = {
        col: this.cols,
        list: this.tableData
      }
      this.axios.post('pass/testManagement/v1/limslrcstuffmakes/updateLimsBaoCun', temp, { individualType: 'json' }).then(res => {
        if (res.code == 0 || res.code == 200) {
          this.$message.success('保存成功!')
        } else {
          this.$message.error(res.message)
        }
        this.batchDataLoading = false
      }).catch(e => {
        this.batchDataLoading = false
        this.$message.error(e.message)
      })
    },
    batchData(){//批量录入
      if(this.selectRowChangeList.length < 0){
        this.$message.warning('请勾选测试项目的数据')
        return
      }
      let flag = false;
      let temp = []
      this.selectRowChangeList.map(item => {
        if(item.stateFlag != '0' || item.validFlag != '1'){
          flag = true
        }
        temp.push(item.stuffNo)
      })
      if(flag){
        this.$message.warning('请勾选未提交的有效数据!')
        return
      }
      //去重 看批量录入的数据中是否包含多种标准液名称
      let arr = this.noRepeatArrOfObj(this.selectRowChangeList,'testItemNo')
      if(arr.length != 1){
        this.$message.warning('请勾选只有一种标液名称的数据')
        return
      }
      this.batchDataLoading = true
      this.axios.post('pass/testManagement/v1/limslrcstuffmakes/transitionData', temp, { individualType: 'json' }).then(res => {
        if (res.code == 0 || res.code == 200) {
          this.cols = res.data.head
          this.tableData = res.data.data
          this.batchShow = true
        } else {
          this.$message.error(res.message)
        }
        this.batchDataLoading = false
      }).catch(e => {
        this.batchDataLoading = false
        this.$message.error(e.message)
      })
    },
    keyDown(event, row, rindex) {
            let tdTarget = event.target
            let pid = tdTarget.id
            if (!pid) {
                return true
            }
            let ids = pid.split('--')
            if (ids.length != 2) {
                return true
            }
            let columnId = ids[0]
            let index = ids[1]
            let that = this
            while (tdTarget.tagName !== 'TD') {
                tdTarget = tdTarget.parentElement
            }
            // if (event.keyCode === 13) {
            //   this.jisuanRow(row, rindex)
            // }
            // 如果按下键盘下键或者回车键
            if (event.keyCode === 40 || event.keyCode === 13) {
                let ind = Number(index) + 1
                let id = '#' + columnId + '--' + ind
                let input = $(id)
                if (input) {
                // this.$refs.tablePllr.setCurrentRow(this.tableData[ind])
                input.focus()
                input.select() // 选中内容
                event.stopPropagation()
                event.stopImmediatePropagation()
                event.preventDefault()
                return false
                }
            } else if (event.keyCode === 38) {
                // 键盘上键
                let ind = Number(index) - 1
                let id = '#' + columnId + '--' + ind
                let input = $(id)
                if (input) {
                // this.$refs.tablePllr.setCurrentRow(this.tableData[ind])
                input.focus()
                input.select() // 选中内容
                event.stopPropagation()
                event.stopImmediatePropagation()
                event.preventDefault()
                return false
                }
            } else if (event.keyCode === 37) {
                // 键盘左键
                let input =
                $(tdTarget).prev().find('input') &&
                $(tdTarget).prev().find('input')[0]
                if (input) {
                input.focus()
                input.select() // 选中内容
                event.stopPropagation()
                event.stopImmediatePropagation()
                event.preventDefault()
                return false
                }
            } else if (event.keyCode === 39) {
                // 键盘右键
                let input = $(tdTarget).next().find('input')[0]
                if (input) {
                input.focus()
                input.select() // 选中内容
                event.stopPropagation()
                event.stopImmediatePropagation()
                event.preventDefault()
                return false
                }
            }
        },

    jisuan(){
      if(this.selectRowChangeList.length < 0){
        this.$message.warning('计算没有数据')
        return
      }
      let temp = []
      this.selectRowChangeList.map(item => {
        temp.push(item.stuffNo)
      })
      this.calculateLoading = true
      this.axios.post('pass/testManagement/v1/limslrcstuffmakes/updateLimsBaoCun', temp, { individualType: 'json' }).then(res => {
        if (res.code == 0 || res.code == 200) {
          this.axios.post('pass/testManagement/v1/limslrcstuffmakes/calculateDataStuffNo', temp, {individualType: 'json'}).then(res => {
            if (res.code == 0 || res.code == 200) {
              this.calculateLoading = false
              this.axios.post('pass/testManagement/v1/limslrcstuffmakes/transitionData', temp, { individualType: 'json' }).then(res => {
                if (res.code == 0 || res.code == 200) {
                  this.cols = res.data.head
                  this.tableData = res.data.data
                  this.$message.success('计算成功!')
                } else {
                  this.$message.error(res.message)
                }
                this.batchDataLoading = false
              }).catch(e => {
                this.batchDataLoading = false
                this.$message.error(e.message)
              })
            } else {
              this.calculateLoading = false
              return this.$message.warning(res.message)
            }
          }).catch(e => {
            this.calculateLoading = false
            return this.$message.error(e.message)
          })
        } else {
          this.$message.error(res.message)
        }
        this.batchDataLoading = false
      }).catch(e => {
        this.batchDataLoading = false
        this.$message.error(e.message)
      })
    },
    closebatch () {
      this.batchShow = false
      this.batchLoading = false
      this.cols = []
      this.tableData = []
    },

    getYNM (date) {
      let year = date.getFullYear().toString();
      let month = date.getMonth() + 1;
      let day = date.getDate();
      month = month < 10 ? "0" + month : month;
      day = day < 10 ? "0" + day : day;
      return `${year}-${month}-${day}`;
    },
    click2(val) {
        this.$refs.dataTable2.toggleRowSelection(val);
    },
    selectRow2(val) {
        this.selectRow2s = val;
    },
    determine() {
        if(this.multipleSelection.length < 1){
            this.$message.warning('请选中一条测试项目数据！')
            return
        }
        if (this.optVal === 1) {
          if (!this.table.list2 || this.table.list2.length > 0) {
            return this.$message.warning('当前物料已有标准液配置数据，无法重复添加!')
          }
        } else if (this.optVal === 2){
          if (!this.table.list3 || this.table.list3.length > 0) {
            return this.$message.warning('当前物料已有标准液标定数据，无法重复添加!')
          }
        } else if (this.optVal === 3){
          if (!this.table.list4 || this.table.list4.length > 0) {
            return this.$message.warning('当前物料已有标准液标定数据，无法重复添加!')
          }
        }
        let lists = [];
        this.multipleSelection.forEach(res=>{
            lists.push(res.testItemNo);
        })
        let mn = 'PZ'
        if (this.optVal === 2) {
          mn = 'BD'
        } else if (this.optVal === 3){
          mn = 'FD'
        }
        let obj = {
            stuffNo: this.tableList.stuffNo,
            stuffName: this.tableList.stuffName,
            itemTypeCode: this.multipleSelection[0].itemTypeCode,
            mnemonicCode: mn,
            list: lists,
        }
        this.axios.post('pass/testManagement/v1/limslrcstuffmakes/addListByStuffNo',obj, {individualType: 'json'}).then(res => {
            if(res.code == 0 || res.code == 200){
                this.recallShow = false;
                if (this.optVal === 1) {
                  this.mainData1(this.tableList)
                } else if (this.optVal === 2)  {
                  this.mainData2(this.tableList)
                } else if (this.optVal === 3)  {
                  this.mainData3(this.tableList)
                }
                this.$message.success('新增成功！')
            }else{
                this.$message.error(res.message)
            }
        }).catch(e => {
        });
    },
    refresh (number) {
      switch (number) {
        case 1 :
          this.searchData();
          break
      }
    },
    refresh1 (number) {
      switch (number) {
        case 1 :
          this.searchData();
          break
      }
    },
    selectRowChange(val){
      this.selectRowChangeList = val
    },
    cencelAudit() {
      if(this.selectRowChangeList.length < 1){
        this.$message.warning('请选中您需要撤回的数据！')
        return
      }
      let flag = false
      this.selectRowChangeList.forEach(s=>{
        if(s.stateFlag != '1' || s.validFlag != '1'){
          flag = true
        }
      })
      if(flag){
        this.$message.warning('请选中已提交或未停用的数据！')
        return
      }
      this.cancelAuditLoading = true
      this.axios.post('pass/testManagement/v1/limslrcstuffs/cancelAudit', this.selectRowChangeList, {individualType: 'json'}).then(res => {
        if (res.code == 0 || res.code == 200) {
          this.cancelAuditLoading = false
          this.$message.success("撤回成功！")
          this.table.list = null;
          this.searchData()
        } else {
          this.cancelAuditLoading = false
          this.$message.warning(res.message)
        }
      }).catch(e => {
        this.cancelAuditLoading = false
        this.$message.error(e.message)
      })
    },
    audit(val) {
      if(this.selectRowChangeList.length < 1){
        this.$message.warning('请选中您需要提交的数据！')
        return
      }
      // if(this.selectRowChangeList.createNo != userId){
      //   this.$message.warning('提交人与配置人不一致，无法提交')
      //   return
      // }
      let flag = false
      this.selectRowChangeList.forEach(s=>{
        if(s.stateFlag != '0' || s.validFlag != '1'){
          flag = true
        }
      })
      if(flag){
        this.$message.warning('请选中未提交或未停用的数据！')
        return
      }
      this.auditLoading = true
      this.axios.post('pass/testManagement/v1/limslrcstuffs/audit', this.selectRowChangeList, {individualType: 'json'}).then(res => {
        if (res.code == 0 || res.code == 200) {
          this.auditLoading = false
          this.$message.success("提交成功！")
          this.table.list = null;
          this.searchData()
        } else {
          this.auditLoading = false
          this.$message.warning(res.message)
        }
      }).catch(e => {
        this.auditLoading = false
        this.$message.error(e.message)
      })
    },
    // 物品信息表新增
    addData () {
      this.showFlag = !this.showFlag;
      this.Params = null;
    },
    searchFollow(row) {
      this.saveRow = row
    },
    modifyData1 () {
      if (!this.tableList || JSON.stringify(this.tableList) === '{}') {
        this.$message.warning('请选中您需要修改的一条数据！')
        return
      }
      this.showFlag1 = !this.showFlag1;
      this.Params = this.tableList
    },
    // 修改物品信息表
    modifyData () {
      if (!this.tableList || JSON.stringify(this.tableList) === '{}') {
        this.$message.warning('请选中您需要修改的一条数据！')
        return
      }
      this.showFlag = !this.showFlag;
      this.Params = this.tableList
    },
    // 物品信息表删除
    deleteData () {
      if(this.selectRowChangeList.length == 0){
        return this.$message.warning('请至少勾选一条数据进行提交!');
      }
      let flag = false
      this.selectRowChangeList.forEach(s=>{
        if(s.validFlag != '1'){
          flag = true
        }
      })
      if(flag){
        this.$message.warning('请选中未停用的数据！')
        return
      }
      let bool = false;
      let boolZero = false;
      this.selectRowChangeList.forEach(ss =>{
        if(ss.memo == "" || ss.memo == null){
          bool = true;
        }
      })
      if(bool){
        this.$message.warning('请输入退回原因!')
        return
      }
      this.axios.post('pass/baseManagement/v1/limslrcstuffs/abolish', this.selectRowChangeList, {individualType: 'json'}).then(res => {
        if (res.succeed) {
          this.$message.success('停用操作成功');
          this.table.list = null;
          this.searchData();
        } else {
          this.$message.error(res.message)
        }
      }).catch(e => {
        this.$message.error(e.message)
      })
    },
    // 信息表恢复
    recoverData () {
      if(this.selectRowChangeList.length == 0){
        return this.$message.warning('请至少勾选一条数据进行提交!');
      }
      let flag = false
      this.selectRowChangeList.forEach(s=>{
        if(s.validFlag != '0'){
          flag = true
        }
      })
      if(flag){
        this.$message.warning('请选中停用的数据！')
        return
      }
      this.axios.post('pass/baseManagement/v1/limslrcstuffs/recover', this.selectRowChangeList, {individualType: 'json'}).then(res => {
        if (res.succeed) {
          this.$message.success('启用成功');
          this.table.list = null;
          this.searchData();
        } else {
          this.$message.error(res.message)
        }
      }).catch(e => {
        this.$message.error(e.message)
      })

    },
    deleteData1 () {
      if(this.selectRowChangeList.length == 0){
        return this.$message.warning('请至少勾选一条数据进行提交!');
      }
      let flag = false
      this.selectRowChangeList.forEach(s=>{
        if(s.validFlag != '1'){
          flag = true
        }
      })
      let bool = false;
      let boolZero = false;
      this.selectRowChangeList.forEach(ss =>{
        if(ss.tenantNo == "" || ss.tenantNo == null){
          bool = true;
        }
      })
      if(bool){
        this.$message.warning('请输入退回原因!')
        return
      }
      this.axios.post('pass/baseManagement/v1/limslrcstuffs/abolish1', this.selectRowChangeList, {individualType: 'json'}).then(res => {
        if (res.succeed) {
          this.$message.success('停用操作成功');
          this.table.list = null;
          this.searchData();
        } else {
          this.$message.error(res.message)
        }
      }).catch(e => {
        this.$message.error(e.message)
      })
    },
    // 信息表恢复
    recoverData1 () {
      if(this.selectRowChangeList.length == 0){
        return this.$message.warning('请至少勾选一条数据进行提交!');
      }
      let flag = false
      this.selectRowChangeList.forEach(s=>{
        if(s.validFlag != '0'){
          flag = true
        }
      })
      this.axios.post('pass/baseManagement/v1/limslrcstuffs/recover1', this.selectRowChangeList, {individualType: 'json'}).then(res => {
        if (res.succeed) {
          this.$message.success('启用成功');
          this.table.list = null;
          this.searchData();
        } else {
          this.$message.error(res.message)
        }
      }).catch(e => {
        this.$message.error(e.message)
      })

    },
    deleteMake(val){
      this.$confirm('确认执行【删除】操作吗？', '是否继续?', '提示', {
        confirmButtonText: '确定',
        cancelButtonText: '取消',
        type: 'warning'
      }).then(() => {
        let arr = []
        if (val === 1){
          if (!this.selectRow2s || this.selectRow2s.length < 1) {
            return this.$message.warning('请在【标准液配置表】中勾选需要删除的数据！')
          }
          arr = this.selectRow2s
        } else if (val === 2){
          if (!this.selectRow3s || this.selectRow3s.length < 1) {
            return this.$message.warning('请在【标定液标定表1】中勾选需要删除的数据！')
          }
          arr = this.selectRow3s
        } else if (val === 3){
          if (!this.selectRow4s || this.selectRow4s.length < 1){
            return this.$message.warning('请在【标定液标定表2】中勾选需要删除的数据！')
          }
          arr = this.selectRow4s
        }
        this.deleteLoading = true
        this.axios.post('pass/testManagement/v1/limslrcstuffmakes/deleteData', arr, {individualType: 'json'}).then(res => {
          if (res.code == 0 || res.code == 200) {
            this.deleteLoading = false
            if (val === 1) {
              this.mainData1(this.tableList)
            } else if (val === 2) {
              this.mainData2(this.tableList)
            } else if (val === 3){
              this.mainData3(this.tableList)
            }
            return this.$message.success(res.message)
          } else {
            this.deleteLoading = false
            return this.$message.warning(res.message)
          }
        }).catch(e => {
          this.deleteLoading = false
          return this.$message.error(e.message)
        })
      }).catch(() => {
        this.deleteLoading = false
        this.$message({
          type: 'info',
          message: '已取消停用'
        });

      });
    },
    // 计算
    calculate(val) {
      let arr = []
      if (val === 1) {
        if (!this.table.list2 || this.table.list2.length < 1) {
          return this.$message.warning('表格中没有数据，计算失败!')
        }
        arr = this.table.list2;
      } else if (val === 2){
        if (!this.table.list3 || this.table.list3.length < 1) {
          return this.$message.warning('表格中没有数据，计算失败!')
        }
        arr = this.table.list3;
      } else if (val === 3) {
        if (!this.table.list4 || this.table.list4.length < 1) {
          return this.$message.warning('表格中没有数据，计算失败!')
        }
        arr = this.table.list4;
      }

      this.calculateLoading = true
      this.axios.post('pass/testManagement/v1/limslrcstuffmakes/calculateData', arr, {individualType: 'json'}).then(res => {
        if (res.code == 0 || res.code == 200) {
          this.calculateLoading = false
          if (val === 1) {
            this.mainData1(this.tableList);
          } else if (val === 2){
            this.mainData2(this.tableList);
          } else if (val === 3) {
            this.mainData3(this.tableList)
          }
          return this.$message.success(res.message)
        } else {
          this.calculateLoading = false
          return this.$message.warning(res.message)
        }
      }).catch(e => {
        this.calculateLoading = false
        return this.$message.error(e.message)
      })
    },
    modifyData2() {
        if(this.selectRow2s.length == 0){
            this.$message.warning('请选中一条标准液配置信息！')
            return
        }
        this.axios.post('pass/testManagement/v1/limslrcstuffmakes/modifyData',this.selectRow2s, {individualType: 'json'}).then(res => {
            if(res.code == 0 || res.code == 200){
                this.mainData1(this.tableList)
                this.$message.success('修改成功！')
            }else{
                this.$message.error(res.message)
            }
        }).catch(e => {
            this.$message.error(e.message)
        });
    },
    addData2() {
        if( this.tableList.stuffNo == null || this.tableList.stuffNo == ''){
            this.$message.warning('请选中一条物品信息一条数据！')
            return
        }
        if (this.tableList.stateFlag === '2') {
          this.$message.warning('当前选中的物品信息已经被提交，无法新增！')
          return
        }
      if (this.tableList.validFlag === '0') {
        this.$message.warning('当前选中的物品信息无效，无法新增！')
        return
      }
        let obj = {
            object:{
            validFlag:'1',
            itemTypeCode: '480408',
            },
            pageIndex:1,
            pageSize:9999,
        }
        this.axios.post('pass/baseManagement/v1/limsstdtestitems/queryLimsStdTestItemPage',obj, {individualType: 'json'}).then(res => {
            if (res.code == 0 || res.code == 200) {
              this.table.listLog = res.data.list;
              this.recallShow = true;
              this.optVal = 1
            } else {
              return this.$message.warning(res.message)
            }
        }).catch(e => {
          return this.$message.error(e.message)
        });

    },

    searchData1(val) {
        this.dataLoading = true;
        this.page.pageNum = 1;
        let params = ''
        if (!this.search.times) {
          params = '?pageNum=' + this.page.pageNum + '' +
            '&pageSize=' + this.page.pageSize  + '&stuffNoUser=' + val.stuffNoUser + '&stuffTypeCode=' + this.search.stuffTypeCode + '&stuffName=' + val.stuffName +
            '&optEvent=' + '2'
            + '&flag=0' + '&validFlag=1'
        } else {
          params = '?pageNum=' + this.page.pageNum + '' +
            '&pageSize=' + this.page.pageSize + '&stuffNoUser=' + val.stuffNoUser  +  '&stuffTypeCode=' + this.search.stuffTypeCode + '&stuffName=' + val.stuffName +
            '&makeStartTime=' + this.search.times[0] + '&makeEndTime=' + this.search.times[1] + '&optEvent=' + '2'
            + '&flag=0' + '&validFlag=1'
        }
        this.axios.get('pass/baseManagement/v1/limslrcstuffs/queryLimsLrcStuffPageBy' + params )
        .then(res => {
          this.dataLoading = false;
          this.table.list = res.data.list;
          this.page.totalPage = res.data.total;
        }).catch(e => {
          this.dataLoading = false;
        });
    },
    searchDataTi(val) {
        this.dataLoading = true;
        this.page.pageNum = 1;
        let params = ''
        if (!this.search.times) {
          params = '?pageNum=' + this.page.pageNum + '' +
            '&pageSize=' + this.page.pageSize  + '&stuffNoUser=' + val.stuffNoUser + '&stuffTypeCode=' + this.search.stuffTypeCode + '&stuffName=' + val.stuffName +
            '&optEvent=' + '2'
            + '&flag=1' + '&validFlag=1'
        } else {
          params = '?pageNum=' + this.page.pageNum + '' +
            '&pageSize=' + this.page.pageSize + '&stuffNoUser=' + val.stuffNoUser  +  '&stuffTypeCode=' + this.search.stuffTypeCode + '&stuffName=' + val.stuffName +
            '&makeStartTime=' + this.search.times[0] + '&makeEndTime=' + this.search.times[1] + '&optEvent=' + '2'
            + '&flag=1' + '&validFlag=1'
        }
        this.axios.get('pass/baseManagement/v1/limslrcstuffs/queryLimsLrcStuffPageBy' + params )
        .then(res => {
          this.dataLoading = false;
          this.table.listTi = res.data.list;
          this.page.totalPage = res.data.total;
        }).catch(e => {
          this.dataLoading = false;
        });
    },
    searchData2(val) {
        this.dataLoading = true;
        this.page.pageNum = 1;
        let params = ''
        if (!this.search.times) {
          params = '?pageNum=' + this.page.pageNum + '' +
            '&pageSize=' + this.page.pageSize  + '&stuffNoUser=' + val.stuffNoUser + '&stuffTypeCode=' + this.search.stuffTypeCode + '&stuffName=' + val.stuffName +
            '&optEvent=' + '2'
            + '&validFlag=0'
        } else {
          params = '?pageNum=' + this.page.pageNum + '' +
            '&pageSize=' + this.page.pageSize + '&stuffNoUser=' + val.stuffNoUser  +  '&stuffTypeCode=' + this.search.stuffTypeCode + '&stuffName=' + val.stuffName +
            '&makeStartTime=' + this.search.times[0] + '&makeEndTime=' + this.search.times[1] + '&optEvent=' + '2'
            + '&validFlag=0'
        }
        this.axios.get('pass/baseManagement/v1/limslrcstuffs/queryLimsLrcStuffPageBy' + params )
        .then(res => {
          this.dataLoading = false;
          this.table.tableData2 = res.data.list;
          this.page.totalPage = res.data.total;
        }).catch(e => {
          this.dataLoading = false;
        });
    },
    searchData() {
      this.dataLoading1 = true;
        this.page.pageNum = 1;
        let params = ''
        if (!this.search.times) {
          params = '?pageNum=' + this.page.pageNum + '' +
            '&pageSize=' + this.page.pageSize + '&stuffTypeCode=' + this.search.stuffTypeCode + '&stuffName=' + this.search.stuffName +
            '&optEvent=' + '2'
            + '&flag=1'
        } else {
          params = '?pageNum=' + this.page.pageNum + '' +
            '&pageSize=' + this.page.pageSize + '&stuffTypeCode=' + this.search.stuffTypeCode + '&stuffName=' + this.search.stuffName +
            '&makeStartTime=' + this.search.times[0] + '&makeEndTime=' + this.search.times[1] + '&optEvent=' + '2'
            + '&flag=1'
        }
        this.axios.get('pass/baseManagement/v1/limslrcstuffs/queryLimsLrcStuffPage1' + params )
        .then(res => {
          this.dataLoading1 = false;
          this.table.list1 = res.data.list;
          this.page.totalPage = res.data.total;
        }).catch(e => {
          this.dataLoading1 = false;
        });
    },
    // tableSelectzero(){
    //   this.dataLoading1 = true;
    //     this.page.pageNum = 1;
    //     let params = ''
    //     if (!this.search.times) {
    //       params = '?pageNum=' + this.page.pageNum + '' +
    //         '&pageSize=' + this.page.pageSize + '&stuffTypeCode=' + this.search.stuffTypeCode + '&stuffName=' + this.search.stuffName +
    //         '&optEvent=' + '2'
    //         + '&flag=0'
    //     } else {
    //       params = '?pageNum=' + this.page.pageNum + '' +
    //         '&pageSize=' + this.page.pageSize + '&stuffTypeCode=' + this.search.stuffTypeCode + '&stuffName=' + this.search.stuffName +
    //         '&makeStartTime=' + this.search.times[0] + '&makeEndTime=' + this.search.times[1] + '&optEvent=' + '2'
    //         + '&flag=0'
    //     }
    //     this.axios.get('pass/baseManagement/v1/limslrcstuffs/queryLimsLrcStuffPage1' + params )
    //     .then(res => {
    //       this.dataLoading1 = false;
    //       this.table.tableData2 = res.data.list;
    //       this.page.totalPage = res.data.total;
    //     }).catch(e => {
    //       this.dataLoading1 = false;
    //     });
    // },
    reset() {},
    getAllListByEmpNo(val) {
        this.tableList = val
        // this.mainData1(val);
        this.searchData1(val);
        this.searchData2(val);
        this.searchDataTi(val);
        // this.mainData2(val);
        // this.mainData3(val)
    },
    mainData1(val){
        if(val == null){
            this.$message.warning('请选中一条物品信息一条数据！')
            return
        }
        this.dataLoading2 = true;
        this.axios.post('pass/testManagement/v1/limslrcstuffmakes/queryByStuffNo', {stuffNo: val.stuffNo ,testItemNo:val.testItemNo,stateFlags:['0','1']}, {individualType: 'json'}).then(res => {
        if (res.succeed) {
            this.table.list2 = res.data;
        } else {
         this.$message.error(res.message)
        }
        this.dataLoading2 = false;
        }).catch(e => {
         this.$message.error(e.message)
         this.dataLoading2 = false;
       })
    },
    pageSizeChange (size) {
      this.page.pageSize = size;
      this.getDataList();
    },
    pageCurrentChange (index) {
      this.page.pageNum = index;
      this.getDataList();
    },
    tableRowClassName ({
        row, column, rowIndex, columnIndex
      }) {
      if (columnIndex === 1) {
        if (row.stateFlag === '2') {
          return 'success-cell'
        }
        if (row.validFlag === '0') {
          return 'error-row';
        }
      }
      },
    tableHeaderCellStyle () {
      return 'color: rgb(255,255,255);border-bottom: 1px solid #DCDFE7;'
    }
  },
}
</script>
<style lang="less">
.success-cell{
  background-color: #1a9f17;
}
</style>
